Update gce-compute-image-packages to 20190124

Bug #1813246 reported by Balint Reczey on 2019-01-25
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gce-compute-image-packages (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

compute-image-packages is provided by Google for installation within guests that run on Google Compute Engine. It is a collection of tools and daemons, packaged as gce-compute-image-packages, that ensure that the Ubuntu images published to GCE run properly on their platform.

Cloud platforms evolve at a rate that can't be handled in six-month increments, and they will often develop features that they would like to be available to customers who don't want to upgrade from earlier Ubuntu releases. As such, updating gce-compute-image-packages to more recent upstream releases is required within all Ubuntu releases, so they continue to function properly in their environment.

With this release we also add a new binary package to the suite - google-compute-engine-oslogin which is for a future feature of using OS Login on GCE VM instances.

[Test Case]

When a new version of gce-compute-image-packages is uploaded to -proposed, the following will be done:

 * an image based on -proposed will be built for GCE and published to the ubuntu-os-cloud-devel project
 * the CPC team will write new automated tests to cover new testable functionality (if any) in the new package
 * the automated testing that the CPC team normally runs against GCE images before they are published will be run against the -proposed image
 * the GCE team will be asked to validate that the new package addresses the issues it is expected to address, and that the image passes their internal image validation.

If all the testing indicates that the image containing the new package is acceptable, verification will be considered to be done.

[Other Information]

This bug is used for tracking of releasing the new upstream version for all supported series, as per the approved policy mentioned in the following MRE:

https://wiki.ubuntu.com/gce-compute-image-packages-Updates

[Original Bug Text]

GCE team has released some versions of its guest agents (https://github.com/GoogleCloudPlatform/compute-image-packages/releases) since you published your latest package version. So there are some new features and bug fixes that would be great to have in all Ubuntu releases. The current latest upstream version is 20181023.

This update also might help us doing some QA on Ubuntu GCE images, as you can see here: https://k8s-testgrid.appspot.com/google-gce-compute-image-tools#linux-image-tests&width=20

This is a test suite that is executed against all Linux distros images, and since the beginning of this month Ubuntu has been tested too. This test suite has been improved in order to support Ubuntu.

Thanks in advance.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gce-compute-image-packages (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20190124+dfsg1-0ubuntu1

---------------
gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    - Update script retrieval to support Python 3

 -- Balint Reczey <email address hidden> Fri, 25 Jan 2019 12:41:07 +0700

Changed in gce-compute-image-packages (Ubuntu):
status: Confirmed → Fix Released

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20190124+dfsg1-0ubuntu1~18.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gce-compute-image-packages (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in gce-compute-image-packages (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20190124+dfsg1-0ubuntu1~18.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Timo Aaltonen (tjaalton) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20190124+dfsg1-0ubuntu1~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gce-compute-image-packages (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Timo Aaltonen (tjaalton) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20190124+dfsg1-0ubuntu1~14.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

I executed the image tests available here [1] against an Ubuntu Cosmic image containing version 20190124 of gce-compute-image-packages in GCE environment and everything pass successfully.

[1] https://github.com/GoogleCloudPlatform/compute-image-tools/tree/master/image_test

tags: added: id-5c0ed4cc6f16da5a60c6b0cd
Philip Roche (philroche) wrote :

Verification is complete and GCE have given +1 on 20190124 packages migrating to -updates

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-trusty verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20190124+dfsg1-0ubuntu1~18.10.0

---------------
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    - Update script retrieval to support Python 3

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <email address hidden> Fri, 25 Jan 2019 12:47:54 +0700

Changed in gce-compute-image-packages (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gce-compute-image-packages has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20190124+dfsg1-0ubuntu1~18.04.0

---------------
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    - Update script retrieval to support Python 3

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <email address hidden> Fri, 25 Jan 2019 14:36:02 +0700

Changed in gce-compute-image-packages (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20190124+dfsg1-0ubuntu1~16.04.0

---------------
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    - Update script retrieval to support Python 3

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <email address hidden> Fri, 25 Jan 2019 14:38:44 +0700

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20190124+dfsg1-0ubuntu1~14.04.0

---------------
gce-compute-image-packages (20190124+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Rebuild for Trusty

gce-compute-image-packages (20190124+dfsg1-0ubuntu1) disco; urgency=medium

  * New upstream version 20190124 (LP: #1813246)
    - Update script retrieval to support Python 3

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  * Backport to Trusty with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Trusty does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
    - debian/rules: Handle all upstart services in override_dh_installinit
    - Clean up obsoleted services for upstart, too
    - Manage upstart scripts in postinst/preinst/prerm
  * Restore switch to using NOOP as the default scheduler that was lost in
    20180905+dfsg1-0ubuntu1~14.04.0
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

gce-compute-image-packages (20181206+dfsg1-0ubuntu1) disco; urgency=medium

  [ Brian Murray ]
  * Add 0001-set-LDFLAGS-to-prevent-undefs.patch

  [ Balint Reczey ]
  * Keep Debian patch unapplied
  * New upstream version 20181206 (LP: #1803973)
    - Support enabling OS Login two factor authentication
  * Refresh patches
  * Update Lintian overrides for renamed commands
  * Update shared library symlinks

 -- Balint Reczey <email address hidden> Fri, 25 Jan 2019 14:46:10 +0700

Changed in gce-compute-image-packages (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers